Output speech
Causes the bot to speak a message in the meeting.
Path Parameters
- Type: stringobject
_id requiredBot ID
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Body·
required
application/json
- Type: stringtextmin length:1required
- Type: objecttext
_to _speech _settings required
Responses
- 200
Speech request created successfully
- 400
Invalid input
- 404
Bot not found
Request Example for post/api/v1/bots/{object_id}/speech
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/speech \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"text": "Hello, this is a bot speaking text.",
"text_to_speech_settings": {
"google": {
"voice_language_code": "en-US",
"voice_name": "en-US-Casual-K"
}
}
}'
No Body